list discovery scans
Inspect recent Discovery scan outcomes, including when product billing is inactive. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.
Inspect recent Discovery scan outcomes, including when product billing is inactive. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.
Rankhog organization API key sent as Authorization: Bearer rhog_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/v1/growth/list-discovery-scans" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "org_demo", "websiteId": "site_demo" }'{ "items": []}{ "error": { "code": "agentic_invalid_input", "message": "Invalid capability input." }}{ "error": { "code": "agentic_unauthorized", "message": "Authentication is required." }}{ "error": { "code": "agentic_missing_scope", "message": "The required permission has not been granted." }}{ "error": { "code": "agentic_website_not_found", "message": "Product not found." }}update discovery direction POST
Update Discovery direction without restarting the session. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.
recover strategy setup POST
Retry failed strategy setup subject to the existing recovery cooldown and credit limits. Does not bypass the cooldown. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.